> For the complete documentation index, see [llms.txt](https://docs.validationcloud.io/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validationcloud.io/v1/tron/tron-full-node-http-api/query-the-network/getnodeinfo.md).

# GetNodeInfo

Query Node Information. Returns information about current state of node.

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

None.

## **Returns**

| Field               | Type                 | Description                                                                                                                                                                                       |
| ------------------- | -------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| beginSyncNum        | int64                | Begin sync block number                                                                                                                                                                           |
| block               | string               | Latest block information, including block height and block id                                                                                                                                     |
| solidityBlock       | string               | The latest solidified block information, including block height and block id                                                                                                                      |
| currentConnectCount | int32                | The current connect count                                                                                                                                                                         |
| activeConnectCount  | int32                | active node connection count                                                                                                                                                                      |
| passiveConnectCount | int32                | passive node connection count                                                                                                                                                                     |
| totalFlow           | int64                | Total TCP flow                                                                                                                                                                                    |
| peerInfoList        | PeerInfo\[]          | Peer node information, please refer to [protobuf](https://github.com/tronprotocol/java-tron/blob/develop/protocol/src/main/protos/core/Tron.proto) for details                                    |
| configNodeInfo      | ConfigNodeInfo       | Node configuration information, please refer to [protobuf](https://github.com/tronprotocol/java-tron/blob/develop/protocol/src/main/protos/core/Tron.proto) for details                           |
| machineInfo         | MachineInfo          | The information of the machine where the node is located, please refer to [protobuf](https://github.com/tronprotocol/java-tron/blob/develop/protocol/src/main/protos/core/Tron.proto) for details |
| cheatWitnessInfoMap | map\<string, string> | SR information that may be suspected of cheating                                                                                                                                                  |

```bash
// Result
{
  "activeConnectCount": 4,
  "beginSyncNum": 57653365,
  "block": "Num:57653385,ID:00000000036fb8894edbc333cab3ced6690c48231563c220aaefdac466024eb4",
  "cheatWitnessInfoMap": {},
  "configNodeInfo": {
    "activeNodeSize": 3,
    "allowAdaptiveEnergy": 1,
    "allowCreationOfContracts": 1,
    "backupListenPort": 10001,
    "backupMemberSize": 0,
    "backupPriority": 6,
    "codeVersion": "4.8.0",
    "dbVersion": 2,
    "discoverEnable": true,
    "listenPort": 16666,
    "maxConnectCount": 30,
    "maxTimeRatio": 5,
    "minParticipationRate": 0,
    "minTimeRatio": 0,
    "p2pVersion": "1",
    "passiveNodeSize": 0,
    "sameIpMaxConnectCount": 2,
    "sendNodeSize": 14,
    "supportConstant": true,
    "versionNum": "18631"
  },
  "currentConnectCount": 7,
  "machineInfo": {
    "cpuCount": 4,
    "cpuRate": 0,
    "deadLockThreadCount": 0,
    "deadLockThreadInfoList": [],
    "freeMemory": 256696320,
    "javaVersion": "1.8.0_291",
    "jvmFreeMemory": 5611354648,
    "jvmTotalMemory": 9341566976,
    "memoryDescInfoList": [
      {
        "initSize": 2555904,
        "maxSize": 268435456,
        "name": "Code Cache",
        "useRate": 0.29834651947021484,
        "useSize": 80086784
      },
      {
        "initSize": 0,
        "maxSize": 536870912,
        "name": "Metaspace",
        "useRate": 0.16063469648361206,
        "useSize": 86240096
      },
      {
        "initSize": 0,
        "maxSize": 528482304,
        "name": "Compressed Class Space",
        "useRate": 0.017718511914450025,
        "useSize": 9363920
      },
      {
        "initSize": 2577006592,
        "maxSize": 2577006592,
        "name": "Par Eden Space",
        "useRate": 0.9017773005370722,
        "useSize": 2323886048
      },
      {
        "initSize": 322109440,
        "maxSize": 322109440,
        "name": "Par Survivor Space",
        "useRate": 0.0212495479797177,
        "useSize": 6844680
      },
      {
        "initSize": 6442450944,
        "maxSize": 6442450944,
        "name": "CMS Old Gen",
        "useRate": 0.21722813447316489,
        "useSize": 1399481600
      }
    ],
    "osName": "Linux 3.10.0-1160.49.1.el7.x86_64",
    "processCpuRate": 0.03225806451612903,
    "threadCount": 192,
    "totalMemory": 16260251648
  },
  "passiveConnectCount": 3,
  "peerList": [
    {
      "active": false,
      "avgLatency": 0,
      "blockInPorcSize": 0,
      "connectTime": 1754987610502,
      "disconnectTimes": 0,
      "headBlockTimeWeBothHave": 0,
      "headBlockWeBothHave": "Num:57653385,ID:00000000036fb8894edbc333cab3ced6690c48231563c220aaefdac466024eb4",
      "host": "/54.255.128.81",
      "inFlow": 0,
      "lastBlockUpdateTime": 1756893843312,
      "lastSyncBlock": "Num:57024332,ID:0000000003661f4ce32523f153650062d2719afa77cf3a9781e6ff86d476846d",
      "localDisconnectReason": "",
      "needSyncFromPeer": false,
      "needSyncFromUs": false,
      "nodeCount": 9,
      "nodeId": "aa5f5b0ab298edb9bd5a3bf64bd8ff9ccacf1d60c05187776ddbf1a0ec7813ea7cb79c9463f97455ad6fc7d0763b49ad8552c83dacdd31d48bc9a794815700ba",
      "port": 16666,
      "remainNum": 0,
      "remoteDisconnectReason": "",
      "score": 0,
      "syncBlockRequestedSize": 0,
      "syncFlag": false,
      "syncToFetchSize": 0,
      "syncToFetchSizePeekNum": -1,
      "unFetchSynNum": 0
    },
    {
      "active": false,
      "avgLatency": 151,
      "blockInPorcSize": 0,
      "connectTime": 1756829593157,
      "disconnectTimes": 0,
      "headBlockTimeWeBothHave": 0,
      "headBlockWeBothHave": "Num:57653385,ID:00000000036fb8894edbc333cab3ced6690c48231563c220aaefdac466024eb4",
      "host": "/52.11.42.49",
      "inFlow": 0,
      "lastBlockUpdateTime": 1756893843312,
      "lastSyncBlock": "Num:57632189,ID:00000000036f65bdeabf9c14eaef212f2661708c49ff7ecfee77094d289af1d5",
      "localDisconnectReason": "",
      "needSyncFromPeer": false,
      "needSyncFromUs": false,
      "nodeCount": 9,
      "nodeId": "aa5f5b0ab298edb9bd5a3bf64bd8ff9ccacf1d60c05187776ddbf1a0ec7813ea7cb79c9463f97455ad6fc7d0763b49ad8552c83dacdd31d48bc9a794815700ba",
      "port": 16666,
      "remainNum": 0,
      "remoteDisconnectReason": "",
      "score": 0,
      "syncBlockRequestedSize": 0,
      "syncFlag": false,
      "syncToFetchSize": 0,
      "syncToFetchSizePeekNum": -1,
      "unFetchSynNum": 0
    },
    {
      "active": false,
      "avgLatency": 150,
      "blockInPorcSize": 0,
      "connectTime": 1754987603437,
      "disconnectTimes": 0,
      "headBlockTimeWeBothHave": 0,
      "headBlockWeBothHave": "Num:57653385,ID:00000000036fb8894edbc333cab3ced6690c48231563c220aaefdac466024eb4",
      "host": "/54.69.105.245",
      "inFlow": 0,
      "lastBlockUpdateTime": 1756893843312,
      "lastSyncBlock": "Num:57438010,ID:00000000036c6f3a804937037c98cad3719a4c14a139075e8fb823498ee384a3",
      "localDisconnectReason": "",
      "needSyncFromPeer": false,
      "needSyncFromUs": false,
      "nodeCount": 9,
      "nodeId": "aa5f5b0ab298edb9bd5a3bf64bd8ff9ccacf1d60c05187776ddbf1a0ec7813ea7cb79c9463f97455ad6fc7d0763b49ad8552c83dacdd31d48bc9a794815700ba",
      "port": 16666,
      "remainNum": 0,
      "remoteDisconnectReason": "",
      "score": 0,
      "syncBlockRequestedSize": 0,
      "syncFlag": false,
      "syncToFetchSize": 0,
      "syncToFetchSizePeekNum": -1,
      "unFetchSynNum": 0
    },
    {
      "active": true,
      "avgLatency": 158,
      "blockInPorcSize": 0,
      "connectTime": 1754987567888,
      "disconnectTimes": 0,
      "headBlockTimeWeBothHave": 0,
      "headBlockWeBothHave": "Num:57653385,ID:00000000036fb8894edbc333cab3ced6690c48231563c220aaefdac466024eb4",
      "host": "/54.186.12.211",
      "inFlow": 0,
      "lastBlockUpdateTime": 1756893843312,
      "lastSyncBlock": "",
      "localDisconnectReason": "",
      "needSyncFromPeer": false,
      "needSyncFromUs": false,
      "nodeCount": 9,
      "nodeId": "aa5f5b0ab298edb9bd5a3bf64bd8ff9ccacf1d60c05187776ddbf1a0ec7813ea7cb79c9463f97455ad6fc7d0763b49ad8552c83dacdd31d48bc9a794815700ba",
      "port": 16666,
      "remainNum": 0,
      "remoteDisconnectReason": "",
      "score": 0,
      "syncBlockRequestedSize": 0,
      "syncFlag": false,
      "syncToFetchSize": 0,
      "syncToFetchSizePeekNum": -1,
      "unFetchSynNum": 0
    },
    {
      "active": true,
      "avgLatency": 158,
      "blockInPorcSize": 0,
      "connectTime": 1754987567888,
      "disconnectTimes": 0,
      "headBlockTimeWeBothHave": 0,
      "headBlockWeBothHave": "Num:57653385,ID:00000000036fb8894edbc333cab3ced6690c48231563c220aaefdac466024eb4",
      "host": "/54.69.254.172",
      "inFlow": 0,
      "lastBlockUpdateTime": 1756893843312,
      "lastSyncBlock": "",
      "localDisconnectReason": "",
      "needSyncFromPeer": false,
      "needSyncFromUs": false,
      "nodeCount": 9,
      "nodeId": "aa5f5b0ab298edb9bd5a3bf64bd8ff9ccacf1d60c05187776ddbf1a0ec7813ea7cb79c9463f97455ad6fc7d0763b49ad8552c83dacdd31d48bc9a794815700ba",
      "port": 16666,
      "remainNum": 0,
      "remoteDisconnectReason": "",
      "score": 0,
      "syncBlockRequestedSize": 0,
      "syncFlag": false,
      "syncToFetchSize": 0,
      "syncToFetchSizePeekNum": -1,
      "unFetchSynNum": 0
    },
    {
      "active": true,
      "avgLatency": 200,
      "blockInPorcSize": 0,
      "connectTime": 1754987654304,
      "disconnectTimes": 0,
      "headBlockTimeWeBothHave": 0,
      "headBlockWeBothHave": "Num:57653385,ID:00000000036fb8894edbc333cab3ced6690c48231563c220aaefdac466024eb4",
      "host": "/3.123.162.51",
      "inFlow": 0,
      "lastBlockUpdateTime": 1756893843312,
      "lastSyncBlock": "",
      "localDisconnectReason": "",
      "needSyncFromPeer": false,
      "needSyncFromUs": false,
      "nodeCount": 9,
      "nodeId": "aa5f5b0ab298edb9bd5a3bf64bd8ff9ccacf1d60c05187776ddbf1a0ec7813ea7cb79c9463f97455ad6fc7d0763b49ad8552c83dacdd31d48bc9a794815700ba",
      "port": 16666,
      "remainNum": 0,
      "remoteDisconnectReason": "",
      "score": 0,
      "syncBlockRequestedSize": 0,
      "syncFlag": false,
      "syncToFetchSize": 0,
      "syncToFetchSizePeekNum": -1,
      "unFetchSynNum": 0
    },
    {
      "active": true,
      "avgLatency": 216,
      "blockInPorcSize": 0,
      "connectTime": 1754987654304,
      "disconnectTimes": 0,
      "headBlockTimeWeBothHave": 0,
      "headBlockWeBothHave": "Num:57653385,ID:00000000036fb8894edbc333cab3ced6690c48231563c220aaefdac466024eb4",
      "host": "/18.156.104.67",
      "inFlow": 0,
      "lastBlockUpdateTime": 1756893843312,
      "lastSyncBlock": "",
      "localDisconnectReason": "",
      "needSyncFromPeer": false,
      "needSyncFromUs": false,
      "nodeCount": 9,
      "nodeId": "aa5f5b0ab298edb9bd5a3bf64bd8ff9ccacf1d60c05187776ddbf1a0ec7813ea7cb79c9463f97455ad6fc7d0763b49ad8552c83dacdd31d48bc9a794815700ba",
      "port": 16666,
      "remainNum": 0,
      "remoteDisconnectReason": "",
      "score": 0,
      "syncBlockRequestedSize": 0,
      "syncFlag": false,
      "syncToFetchSize": 0,
      "syncToFetchSizePeekNum": -1,
      "unFetchSynNum": 0
    }
  ],
  "solidityBlock": "Num:57653367,ID:00000000036fb87709d8fc3a552cb2220a51faae9f0eff8a4658e16e5c5455cc",
  "totalFlow": 0
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.tron.validationcloud.io/v1/<YOUR_API_KEY_HERE>/wallet/getnodeinfo \
    -X GET \
    -H "Content-Type: application/json"
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.validationcloud.io/v1/tron/tron-full-node-http-api/query-the-network/getnodeinfo.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
